<div class="flex flex-col h-screen">
  <mat-card class="m-4">
    <mat-card-header class="m-2">
      <mat-card-title>
        <div class="flex">
          <button class="secondary-icon mr-3" (click)="back()"><mat-icon>keyboard_backspace</mat-icon></button>
        {{ name || "New Kerberos Realm" }}</div>
      </mat-card-title>
    </mat-card-header>
    <mat-card-content class="flex flex-col">
      <form [formGroup]="kerberosRealmForm">
        <mat-form-field class="w-full">
          <mat-label>Kerberos Provider</mat-label>
          <input matInput  formControlName="name" required>
          <mat-checkbox formControlName="isDisabled" matSuffix class="client-checkboxes">Disable Kerberos</mat-checkbox>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Description</mat-label>
          <input matInput  formControlName="description">
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Domain</mat-label>
          <input matInput  formControlName="domain">
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>Service Principal Name</mat-label>
          <input matInput  formControlName="servicePrincipalName">
          <mat-checkbox formControlName="forceOTP" matSuffix class="client-checkboxes">Force OTP</mat-checkbox>
        </mat-form-field>
        <mat-form-field class="w-full">
          <mat-label>LDAP Client</mat-label>
          <mat-select  formControlName="ldapClient" required>
            <mat-option *ngFor="let client of clientList" [value]="client.uuid">
              {{ client.name + " (" + client.uuid + ")"}}
            </mat-option>
          </mat-select>
        </mat-form-field>
      </form>
    </mat-card-content>
    <mat-card-actions class="m-4 flex flex-row gap-2">
      <button (click)="createRealm()" mat-flat-button color="primary" [disabled]="!kerberosRealmForm.valid"
        *ngIf="!uuid">Create</button>
      <button (click)="updateRealm()" mat-flat-button color="primary" [disabled]="!kerberosRealmForm.valid"
        *ngIf="uuid">Update</button>
      <button (click)="delete()" mat-flat-button color="warn" *ngIf="uuid && uuid !== new">Delete</button>
    </mat-card-actions>
  </mat-card>
</div>